package _gsp;
import com.bitmechanic.gsp.*;
import javax.servlet.http.*;
import java.util.Date; //i:\os2httpd\public\htdocs\gsp\date_test.gsp:12


public class ___date_test implements Template {
  private static String __strArr[] = {
    "<html>\n<head>\n <title>This is a test</title>\n</head>\n\n<body bgcolor=\"#ffffff\">\n\n<h1>Date Test</h1>\n\n<!-- you can place imports anywhere on the page.. \n     we recommend you place them near the top :-)  -->\n",
    "\n\n",
    "\n\n<p><hr><p>\n\nDid you see the date?\n",
  };
	private static char[][] __byteArr;
	static {
	  __byteArr = new char[__strArr.length][];
	  for(int i = 0; i < __strArr.length; i++) {
	    __byteArr[i] = __strArr[i].toCharArray();
	  }
	  __strArr = null;
	}
	//note current time for comparisons latter
	private static long __parseTime = Long.parseLong("942719323896");
	private static com.bitmechanic.gsp.FileDependancy __dependancies[] = {  
		new com.bitmechanic.gsp.FileDependancy ("i:\\os2httpd\\public\\htdocs\\gsp\\date_test.gsp","917922188000")};
	public boolean usesPrintWriter() {
		return true;
	}
	public boolean shouldCache() {
		boolean __shouldCache = true;
		for (int i = 0; i < __dependancies.length && __shouldCache; i++) {
			if (!__dependancies[i].isCurrent())
				__shouldCache = false;
		}
		return __shouldCache;
	}

	public long getParseTime() { return this.__parseTime; }
	private java.util.Hashtable __cacheHash = new java.util.Hashtable();
	public synchronized void flushExpiredCacheData() {
	  if(__cacheHash != null) {
		long now = System.currentTimeMillis();
		for(java.util.Enumeration e = __cacheHash.keys(); e.hasMoreElements();) {
			Object key = e.nextElement();
			CachedString cs = (CachedString)__cacheHash.get(key);
			if(cs.hasExpired(now)) __cacheHash.remove(key);
		}
	  }
	}
	public synchronized void flushAllCacheData() {
	  if(__cacheHash != null) {
		__cacheHash.clear();
	  }
	}


	public ___date_test () {}

	public void render(Application application, GspRequest request, GspResponse response) throws Exception {
		java.io.PrintWriter out = response.getWriter();
	out.write(__byteArr[0]);
	out.write(__byteArr[1]);
 //i:\os2httpd\public\htdocs\gsp\date_test.gsp:14
    Date d = new Date(); //i:\os2httpd\public\htdocs\gsp\date_test.gsp:15
    out.println("The current date is: " + d); //i:\os2httpd\public\htdocs\gsp\date_test.gsp:16
 //i:\os2httpd\public\htdocs\gsp\date_test.gsp:17
	out.write(__byteArr[2]);
		out.flush();
	}
}
